article {
  width: 100%;
}
.btn{
    background-color: var(--main-color);
}
nav li > a.active {
    color: var(--main-color);
}

@media (max-width: 768px) {
  .instruction-block .heading {
    font-size: 36px;
    line-height: 46px;
  }
}
@media (max-width: 500px) {
  .instruction-block .heading {
    font-size: 26px;
    line-height: 36px;
  }

  .instruction-block.sidebar {
    border-bottom: 1px solid var(--border-bottom-color);
  }
  .instruction-block.content {
    margin-top: 36px;
  }
}

.instruction__content-body {
  font-size: 16px;
  color: #333;
  line-height: 1.6;
  font-family: "Ubuntu", sans-serif;
  overflow-x: hidden;
}
.instruction__content-body a {
  text-decoration: none;
  transition: all 0.3s ease;
  outline: none !important;
  color: var(--main-color);
}

section.faq.instruction {
  min-height: 100vh;
}

.instruction__content-header {
  margin-bottom: 36px;
}

/* Nav pills */
.instruction__pills {
  background: var(--light-gray-color);
  border-radius: 6px;
  height: 110px;
  border-bottom: none;
  box-shadow: 0px 1px 3px 0px rgba(19, 20, 22, 0.1) inset;
}
.nav-pills .nav-link {
    position: relative;
    margin: 6px 3px;
    height: calc(100% - 12px);
    cursor: pointer;
    color: #000;
    opacity: 0.5;
    transition: all 0.3s ease;
}
.nav-pills .nav-link:first-child {
    margin-left: 6px;
}
.nav-pills .nav-link:last-child {
    margin-right: 6px;
}
.nav-pills .nav-link:hover {
  opacity: 0.75;
  background-color: #FFFFFF;
}
.nav-pills .nav-link.active {
    color: #000;
    opacity: 1;
    background-color: #FFFFFF;
    box-shadow: 0px 2px 5px 0px rgba(19, 20, 22, 0.28);
}
.nav-pills .nav-link:not(.active):not(:last-child):not(:hover):after {
    content: "";
    position: absolute;
    height: 50%;
    width: 2px;
    top: 25%;
    background: #E0E0E0;
    right: 0;
}

.tab-pane__content {
  display: flex;
  flex-direction: row-reverse;
  justify-content: space-between;
}

.instruction-chapter {
  margin-left: 0;
}

.faq ul li:not(.chapter__lvl-one)::before {
  content: "— ";
}
.faq p {
  padding: 5px 0;
  text-indent: 0;
}
.faq ul.dotted {
  padding-left: 18px;
}
.faq ul.dotted li {
  list-style: disc;
  margin-bottom: 16px;
}
.faq ul.dotted li::before {
  content: none;
}
.faq ul ol {
  padding-left: 2rem;
  text-indent: 0;
}
.faq ol {
  counter-reset: item;
  margin-left: 0;
  padding-left: 1em;
  text-indent: -1em;
  margin-top: 4px;
  padding: 6px 6px 6px 10px;
}
.faq ol:not(.no-bold) > li:before {
  content: counters(item, ".") ". ";
  counter-increment: item;
  font-weight: bold;
}
.instruction ol {
  margin-left: 20px;
}
.instruction ol,
.instruct ol > li {
  list-style: none;
}
.instruction ol > li {
  margin-bottom: 15px;
}
.instruction-chapter__content ul:not(.no-last) li:not(:last-child):not(.no-last)::after {
  content: ";";
}
.instruction-chapter__content ul:not(.no-last) li:last-child:not(.no-last)::after {
  content: ".";
}
.instruction-chapter__content ul:not(.no-last) > li > ul {
  padding-left: 16px;
}

.wrapper_img {
  display: flex;
  justify-content: center;
  max-width: 100%;
}
.wrapper_img img {
  width: 100%;
}

/* Sidebar */
.instruction-block.sidebar-block {
  position: relative;
}
.instruction-block .sidebar {
  transition: all 0.3s ease;
}
.sidebar .part {
  font-size: 24px;
  font-weight: bold;
  margin-bottom: 10px;
}
.sidebar .menu-content {
  overflow-y: auto;
  height: calc(100vh - 200px);
  padding-right: 6px;
}
@media (max-width: 991px) {
  .sidebar .menu-content {
    overflow-y: auto;
    height: calc(100vh - 200px);
  }
}
@media (max-width: 768px) {
  .sidebar .menu-content {
    overflow-y: unset;
    height: auto;
  }
}
.sidebar .menu-content ul {
  padding: 0;
}
.sidebar .menu-content ul li {
  list-style: none;
  margin-bottom: 10px;
  font-size: 14px;
}
.sidebar .menu-content li ul {
  padding-left: 18px;
}
.sidebar .menu-content li > ul li {
  margin-bottom: 5px;
}
.sidebar .menu-content .menu__chapter-main-title {
  font-size: 18px;
}
.sidebar a:hover {
  text-decoration: none;
}

/* Scroll */
@supports not selector(::-webkit-scrollbar) {
    .scroll {
        scrollbar-width: thin;
        scrollbar-color: var(--main-color) var(--light-gray-color);
    }
}

.scroll{
    scrollbar-width: thin;
    scrollbar-color: var(--main-color) var(--light-gray-color);
}
.scroll::-webkit-scrollbar {
    width: 10px;
    background-color: #f9f9fd;
}
.scroll::-webkit-scrollbar-thumb {
    border-radius: 10px;
    background-color: var(--main-color);
}
.scroll::-webkit-scrollbar-thumb:hover,
.scroll::-webkit-scrollbar-thumb:active{
    background-color: color-mix(in srgb, var(--main-color) 60%, transparent);
}
.scroll::-webkit-scrollbar-track {
    border-radius: 10px;
    background-color: var(--light-gray-color);
}

/** Main info */
.heading {
  text-align: left;
  color: #26272d;
  font-size: 38px;
  font-weight: 400;
  line-height: 1.1;
}
.instruction-chapter__content .heading {
  margin-bottom: 40px;
  font-size: 32px;
  font-weight: 700;
}
.faq-groups-title {
  margin-bottom: 2rem;
}
.faq-item h4 {
  color: var(--main-color);
  font-family: "Myriad Pro", sans-serif;
  font-size: 18px;
  line-height: 26px;
  text-align: left;
  padding: 5px 0;
}
.faq-item {
  margin-bottom: 36px;
}
.faq-item h4 a {
    color: var(--main-color);
}
.faq-item .flex-row {
  display: flex;
  justify-content: space-between;
}
.faq-item .flex-row .wrapper_img img {
  border-radius: 8px;
  box-shadow: 0 0 36px -8px lightgray;
  transition: all 0.3s ease;
}
.faq-item .flex-row .wrapper_img img:hover {
  box-shadow: 0 0 16px 16px lightgray;
}
.faq-item .flex-row .text-column {
  padding: 6px;
  word-break: break-word;
  text-indent: 0%;
}

.link-icon-item {
  margin: 16px 0;
  padding: 16px 0;
  min-height: 90px;
  border-bottom: 1px solid #ebebeb;
}
.link-icon-item .title {
  font-size: 85%;
}
.link-icon-item .view * {
  box-sizing: content-box;
}

@media (max-width: 767px) {
  .tab-pane__content {
    flex-direction: column;
  }
  .faq-item .flex-row {
    flex-direction: column-reverse !important;
  }
}

@media (max-width: 600px) {
  .instruction__content-header .nav-pills .nav-link .title {
    display: none;
  }
  .instruction__content-header .icon-cms:before {
    left: 50%;
    top: 0;
    transform: translateX(-50%);
    margin: 0;
  }
}

.redesign-theme-mibok .filling {
  background: #006a7c;
}
.redesign-theme-mibok .copyright {
  font-family: "Ubuntu", "Arial", sans-serif;
}

/** дополнительные слайдеры блоков кода */
.wrapper__code-block .wrapper__slider {
  position: absolute;
  top: 0;
  left: 0;
  display: flex;
  justify-content: center;
}
.wrapper__code-block .slider-track {
  border: 1px solid #ccc;
  border-bottom: none;
  border-radius: 4px;
  height: 20px;
  overflow-x: scroll;
  overflow-y: hidden;
}

.wrapper__code-block {
  position: relative;
}
.wrapper__code-block .slider-track .slider {
  height: 20px;
}

.wrapper__code-block .wrapper__slider.moved {
  top: -15px;
}
.wrapper__code-block .wrapper__slider.moved .slider-track {
  border: unset;
}

/** Таблица документации */
.wrapper__documentation-table {
  width: 100%;
  margin-bottom: 36px;
}
.documentation-table {
  position: relative;
}
.documentation-table.open-table {
  box-shadow: 0px 0px 100px 100px rgba(0, 0, 0, 0.2);
  background-color: #fff;
  border: 2px solid #eee;
  padding: 8px;
  border-radius: 8px;
  z-index: 5;
}
.documentation-table .table-header .title {
  display: flex;
  justify-content: start;
  color: #000;
}
.documentation-table .table-header .container__column-titles {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}
.documentation-table .column-title {
  display: flex;
  justify-content: center;
  font-size: 18px;
  font-weight: 700;
}
.documentation-table .method-data {
  width: 64%;
}
.documentation-table .method-description {
  width: 34%;
}
.documentation-table .class-data,
.documentation-table .class-description {
  width: 49%;
}
.documentation-table .body .line {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  border-bottom: 1px solid var(--border-bottom-color);
  padding-bottom: 8px;
  margin-bottom: 16px;
}
.documentation-table .list-parameters .list-title {
  text-decoration: underline;
}
.instruction-auxiliary-btn {
  float: right;
  width: 16px;
  height: 16px;
  position: relative;
  background-color: var(--main-background-color);
  border-radius: 4px;
  border: 1px solid #cccccc;
}
.instruction-auxiliary-btn::before {
  position: absolute;
  color: #cccccc;
  font-size: 12px;
}
.share-btn::before {
    left: 2px;
    top: 2px;
    font-size: 12px;
}
.documentation-table-btn.open-table::before {
    font-size: 10px;
    top: 2.5px;
    left: 2.5px;
}
.documentation-table-btn.close-table::before {
    font-size: 10px;
    top: 2.5px;
    left: 2.5px;
}
.documentation-table .list-parameters {
  margin-bottom: 16px;
}

@media (max-width: 767px) {
  .documentation-table .table-header .title {
    font-size: 1.35rem;
  }
  .documentation-table .table-header .container__column-titles {
    display: none;
  }
  .documentation-table .body .line {
    flex-direction: column-reverse;
  }
  .documentation-table .method-data,
  .documentation-table .method-description,
  .documentation-table .class-data,
  .documentation-table .class-description {
    width: 100%;
  }
  .documentation-table .body .line div:last-child {
    margin-bottom: 16px;
  }
}

.wrapper__dataAttrHandlers-examples {
  margin-top: 36px;
}
@media (max-width: 768px) {
  .wrapper__dataAttrHandlers-examples {
    margin-top: 18px;
  }
}

.toast.success .toast-header {
  background-color: var(--main-opacity-color);
}
.toast.error .toast-header {
  background-color: #ff000079;
}
.toast .toast-header img {
  height: 24px;
  width: auto;
}

.faq blockquote p {
    margin: 0;
    padding: 0;
}
.accordion-button:not(.collapsed) {
    color: var(--main-color);
    background-color: var(--light-gray-color);
}
.accordion-button:focus {
    box-shadow: none;
    border: none;
}
.accordion-button:not(.collapsed)::after {
    background-image: url("data:image/svg+xml;base64,PHN2ZyB2ZXJzaW9uPSIxLjEiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIHdpZHRoPSIxNnB4IiBoZWlnaHQ9IjE2cHgiIHZpZXdCb3g9IjAsMCwyNTYsMjU2Ij48ZyBmaWxsPSIjMDA2YTdjIiBmaWxsLXJ1bGU9ImV2ZW5vZGQiIHN0cm9rZT0ibm9uZSIgc3Ryb2tlLXdpZHRoPSIxIiBzdHJva2UtbGluZWNhcD0iYnV0dCIgc3Ryb2tlLWxpbmVqb2luPSJtaXRlciIgc3Ryb2tlLW1pdGVybGltaXQ9IjEwIiBzdHJva2UtZGFzaGFycmF5PSIiIHN0cm9rZS1kYXNob2Zmc2V0PSIwIiBmb250LWZhbWlseT0ibm9uZSIgZm9udC13ZWlnaHQ9Im5vbmUiIGZvbnQtc2l6ZT0ibm9uZSIgdGV4dC1hbmNob3I9Im5vbmUiIHN0eWxlPSJtaXgtYmxlbmQtbW9kZTogbm9ybWFsIj48ZyB0cmFuc2Zvcm09InRyYW5zbGF0ZSgwLjAwMjEsMCkgc2NhbGUoMTYsMTYpIj48cGF0aCBkPSJNMS42NDYsNC42NDZjMC4wOTM4LC0wLjA5NDA0IDAuMjIxMTcsLTAuMTQ2ODkgMC4zNTQsLTAuMTQ2ODljMC4xMzI4MywwIDAuMjYwMiwwLjA1Mjg1IDAuMzU0LDAuMTQ2ODlsNS42NDYsNS42NDdsNS42NDYsLTUuNjQ3YzAuMTk1NTEsLTAuMTk1NTEgMC41MTI0OSwtMC4xOTU1MSAwLjcwOCwwYzAuMTk1NTEsMC4xOTU1MSAwLjE5NTUxLDAuNTEyNDkgMCwwLjcwOGwtNiw2Yy0wLjA5MzgsMC4wOTQwNCAtMC4yMjExNywwLjE0Njg5IC0wLjM1NCwwLjE0Njg5Yy0wLjEzMjgzLDAgLTAuMjYwMiwtMC4wNTI4NSAtMC4zNTQsLTAuMTQ2ODlsLTYsLTZjLTAuMDk0MDQsLTAuMDkzOCAtMC4xNDY4OSwtMC4yMjExNyAtMC4xNDY4OSwtMC4zNTRjMCwtMC4xMzI4MyAwLjA1Mjg1LC0wLjI2MDIgMC4xNDY4OSwtMC4zNTR6Ij48L3BhdGg+PC9nPjwvZz48L3N2Zz4=");
    transform: rotate(-180deg);
}

pre.--inline-code {
  display: inline-flex;
  margin-left: 6px;
}
pre.--inline-code code {
  margin-left: 6px;
}

.wrapper-stepper .step .title {
  margin-bottom: 0;
}
.file-path {
  display: block;
  text-wrap: nowrap;
  overflow-x: auto;
  padding: 6px 12px 16px 6px;
}
.file-path.scroll {
  padding: 6px 12px 6px 6px;
}
.perfect-scrollbar {
  position: relative;
}
.perfect-scrollbar .ps__thumb-x {
  background-color: var(--main-color);
}
.perfect-scrollbar .ps__rail-x:hover > .ps__thumb-x {
  background-color: var(--main-color);
}
.file-path.perfect-scrollbar .ps__rail-y {
  display: none;
}

.hide {
  display: none;
}
.no-wrap {
  text-wrap-mode: nowrap;
}
.flex-wrap {
  display: flex;
  flex-wrap: wrap;
  column-gap: 12px;
}

@media (max-width: 500px) {
  .faq-item .chapter-title h4,
  .faq-item .chapter-description h6 {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }

  .faq-item .chapter-title h4 a,
  .faq-item .chapter-description h6 a {
    margin-right: 16px;
  }
}
